import { GameModeConfiguration } from '@/types';
import { MinesweeperBoard } from './MinesweeperBoard';
export declare class MinesweeperEngine {
    #private;
    gameModeConfiguration: GameModeConfiguration;
    isGameOver: boolean;
    onWinCallback: () => void;
    onLoseCallback: () => void;
    constructor(onWinCallback?: () => void, onLoseCallback?: () => void);
    get board(): MinesweeperBoard;
    createBoard(columns?: number, rows?: number, bombs?: number): void;
    restart(): void;
    /**
     * @returns Delta of the amount of flags
     */
    toggleFlag(selectedRow: number, selectedColumn: number): number;
    /**
     * @returns {number} Delta of the amount of question marks
     */
    toggleQuestionMark(selectedRow: number, selectedColumn: number): number;
    selectField(selectedRow: number, selectedColumn: number): string | number;
}
//# sourceMappingURL=MinesweeperEngine.d.ts.map